% This function reads a standard mosaiced velocity data
% set and returns arrays with the data and the geodat info.
%
function [vx,vy,xd,ex,ey]= readvelocity(rootname)
%
% Get geodat info
%
xd=readgeodat(strcat(rootname,'.vx.geodat'));
%
% Vx component
%
fid = fopen(strcat(rootname,'.vx'),'r','ieee-be');
[vx,count]=fread(fid,[xd(1,1) xd(1,2)],'float32');
fclose(fid);
%
% Vy component
%
fid = fopen(strcat(rootname,'.vy'),'r','ieee-be');
[vy,count]=fread(fid,[xd(1,1) xd(1,2)],'float32');
fclose(fid);
%
% ex component
%
fid = fopen(strcat(rootname,'.ex'),'r','ieee-be');
[ex,count]=fread(fid,[xd(1,1) xd(1,2)],'float32');
fclose(fid);
%
% ey component
%
fid = fopen(strcat(rootname,'.ey'),'r','ieee-be');
[ey,count]=fread(fid,[xd(1,1) xd(1,2)],'float32');
fclose(fid);



%
% Read a geodat file
%
function xgeo=readgeodat(filein)
fid = fopen(filein,'r');
xgeo=zeros(3,2);
i=1;
while ~feof(fid),
  line=fgets(fid);
  [A,count]=sscanf(line,'%f %f',[1 2]);
  if(count == 2)
     xgeo(i,:)=A;
     i=i+1;
  end
end
fclose(fid);