!##############################################################       
!     READ_DEM
!       + create a theoritical data set from a gaussian  expression
!       + has to initialise : nx,ny,xmin,ymin,dx,dy,noval,dem(nx,ny)
!       +  Typically to be modified by the user in function of the data set format
!
! INPUT : 
! OUTPUT: nx,ny,xmin,ymin,dx,dy,noval,dem(nx,ny)
!
!  Author : F. Gillet-Chaulet; LGGE, Grenoble
!##############################################################################
      subroutine  READ_DEM
      use DEMVar
        ! real,allocatable :: DEM(:,:)
        ! real :: xmin,ymin,dx,dy,noval,R, threshold
        ! real,dimension(3) :: Param, Param2  !hmin,hmax,err
        ! integer :: nx,ny

      implicit none

      integer :: i,j
      real :: x,y,xx,yy,r_sq
      double precision,parameter :: pi=dacos(-1.0_8)
      real,parameter :: l=1.0e05

      nx=2001
      ny=2001

      xmin=-100.0e03
      ymin=-100.0e03

      dx=1.0e02
      dy=1.0e02

      noval=-9999999

     Allocate(dem(nx,ny))

     Do j=1,ny
        Do i=1,nx
                 x=xmin+(i-1)*dx
                 y=ymin+(j-1)*dy
                 r_sq=x*x+y*y
                 dem(i,j)=exp(-r_sq/(l/3)**2)
        End do
     End do

    End
