!##############################################################       
!     READ_DEM
!       + read the velocity data used to create the metric
!       + has to initialise : nx,ny,xmin,ymin,dx,dy,noval,dem(nx,ny)
!       +  Typically to be modified by the user in function of the data set format
!
! INPUT : "../Data/GreenlandVelocity.dem" Greenland velocity DEM produced from
!            I. Joughin data sets available in the nsidc website
! OUTPUT: nx,ny,xmin,ymin,dx,dy,noval,dem(nx,ny)
!
!  Author : F. Gillet-Chaulet; LGGE, Grenoble
!##############################################################       
      subroutine  READ_DEM
      use DEMVar
        ! real,allocatable :: DEM(:,:)
        ! real :: xmin,ymin,dx,dy,noval,R, threshold
        ! real,dimension(3) :: Param, Param2  !hmin,hmax,err
        ! integer :: nx,ny

      implicit none

      integer :: i,j
      real :: u,v,e

      nx=3010
      ny=5460

      xmin=-645.0e03
      ymin=-3370.0e03

      dx=5.0e02
      dy=5.0e02

      noval=-9999999

     Allocate(dem(nx,ny))

     open(10,file='../Data/GreenlandVelocity.dem')
     Do j=1,ny
        Do i=1,nx
           read(10,*) u,v,e
           if ((u.lt.-1.0e06).or.(v.lt.-1.0e06)) then
                   dem(i,j)=noval
           else
                    dem(i,j)=sqrt(u*u+v*v)
           endif
        End do
     End do
     close(10)

    End
